at.chipkarte.client.bkf.soap

## Interface IBkfService

-     public interface IBkfService

  Dieses Service stellt die Funktionalitäten des Brustkrebs-Früherkennungs-Service (BKF) Version 8 für Befunderfassung und -übermittlung zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BKFLeistungsanspruchInfo` | `checkBkfLeistungsanspruch(String dialogId, String cardToken, String svnr, String patientenzustimmung)` Mit dieser Funktion wird der Leistungsanspruch der angegebenen Patientin (mittels SV-Nummer beziehungsweise gesteckter e-card) geprüft und es werden die Patientendaten, sowie die Informationen des aktuellen BKF-Leistungsanspruchs vom e-card-Server geholt.
    `CheckBkfTokenErgebnis` | `checkBkfToken(String dialogId, String cardToken, String svnr, Long konsultationsID, String leistungsdatum, String dokumentationstyp)` Mit dieser Funktion erfolgt eine Prüfung ob für die betreffende Patientin eine Einladung ermittelt werden kann und somit eine Screening-Dokumentation oder Screening Ultraschalldokumentation erfasst werden kann.
    `BKFQuittung` | `createAssessmentBildgebendeDiagnostikDoku(String dialogId, String cardToken, AssessmentBildgebendeDiagnostikDoku abd)` Mit dieser Funktion wird die Assessmentdokumentation Bildgebende Diagnostik validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createAssessmentInvasiveDiagnostikDoku(String dialogId, String cardToken, AssessmentInvasiveDiagnostikDoku aid)` Mit dieser Funktion wird die Assessmentdokumentation Invasive Diagnostik validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createKurativeMammographieDoku(String dialogId, String cardToken, KurativeMammographieDoku kum)` Mit dieser Funktion wird die kurative Mammographiedokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createKurativeMammoLeermeldungDoku(String dialogId, KurativeMammoLeermeldung kml)` Mit dieser Funktion wird die Dokumentation für die kurative Mammographie Leermeldung validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createKurativeUltraschallDoku(String dialogId, String cardToken, KurativeUltraschallDoku kus)` Mit dieser Funktion wird die kurative Ultraschalldokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createScreeningDoku(String dialogId, String cardToken, ScreeningDoku screening)` Mit dieser Funktion wird die Screening-Dokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createScreeningUltraschallDoku(String dialogId, String cardToken, ScreeningUltraschallDoku sus)` Mit dieser Funktion wird die Screening Ultraschalldokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createSelbstzahlerMammographieDoku(String dialogId, String cardToken, SelbstzahlerMammographieDoku szm)` Mit dieser Funktion wird die Selbstzahler Mammographie Dokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createTherapiePathologieDoku(String dialogId, String cardToken, TherapiePathologieDoku pat)` Mit dieser Funktion wird die Therapiedokumentation Pathologie validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createTherapieTumorDoku(String dialogId, String cardToken, TherapieTumorDoku tum)` Mit dieser Funktion wird die Therapiedokumentation Tumor validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createWeitereMammographieDoku(String dialogId, String cardToken, WeitereMammographieDoku wem)` Mit dieser Funktion wird die Weitere Mammographiedokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFQuittung` | `createWeitereUltraschallDoku(String dialogId, String cardToken, WeitereUltraschallDoku wus)` Mit dieser Funktion wird die Weitere Ultraschalldokumentation validiert, verschlüsselt und zum e-card-Server übertragen.
    `BKFArzt` | `searchBkfArzt(String dialogId, String arztID)` Mit dieser Funktion werden die Daten eines mittels ID spezifizierten, zertifizierten Arztes ermittelt.
    `SearchBkfKonsultationDataErgebnis` | `searchBkfKonsultationData(String dialogId, String cardToken, String svnr, String dokumentationstyp)` Mit dieser Funktion wird die angegebene Patientin geprüft und die Patientendaten, sowie die verfügbaren Konsultationen in Abhängigkeit des angegebenen Dokumentationstyp vom e-card-Server geholt.
    `BKFQuittung[]` | `searchBkfQuittungen(String dialogId, String dokumentationstyp, String svnr, String kvt, String ohneAnspruch, String vonDatum, String bisDatum)` Mit dieser Funktion werden die Empfangsbestätigungen übertragener Dokumentationen, die die Suchkriterien erfüllen, vom e-card-Server abgeholt.

- - ### Method Detail

    - #### searchBkfQuittungen

          BKFQuittung[] searchBkfQuittungen(String dialogId,
                                            String dokumentationstyp,
                                            String svnr,
                                            String kvt,
                                            String ohneAnspruch,
                                            String vonDatum,
                                            String bisDatum)
                                     throws DialogException,
                                            AccessException,
                                            ServiceException,
                                            BkfException,
                                            BkfInvalidParameterException

      Mit dieser Funktion werden die Empfangsbestätigungen übertragener Dokumentationen, die die Suchkriterien erfüllen, vom e-card-Server abgeholt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `Berechtigungen.BKF_CORE` und mindestens eines der Dokumentationserfassungsrechte ( `Berechtigungen.BKF_MAMMO` / `Berechtigungen.BKF_ASSESSMENT` / `Berechtigungen.BKF_SZE` / `Berechtigungen.BKF_WMU`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `dokumentationstyp` - Dokumentationstyp (siehe `DokumentationTypConstant`).
        `svnr` - SV-Nummer der Patientin.
        `kvt` - Code des KVT.
        `ohneAnspruch` - Es sollen nur Quittungen angezeigt werden, die für Patienten ohne Anspruch erzeugt wurden. (siehe `JaTypConstant`)
        `vonDatum` - Es sollen nur Quittungen angezeigt werden, die nach dem angegebenen Datum erzeugt wurden. Format: TT.MM.JJJJ
        `bisDatum` - Es sollen nur Quittungen angezeigt werden, die vor dem angegebenen Datum erzeugt wurden. Format: TT.MM.JJJJ
      Returns:
        Liste der ermittelten Quittungen, leer wenn keine Quittungen zu den Suchkritierien ermittelt werden konnten. (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE` `MISSING_BKF_ERFASSUNG`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `MAX_RESULTS_EXCEEDED`, `INTERNAL_ERROR`
        `BkfInvalidParameterException` - `SV_NUMMER_INVALID`, `DOKUMENTATIONSTYP_INVALID`, `BIS_DATUM_WRONG_FORMAT`, `BIS_DATUM_INVALID`, `VON_DATUM_WRONG_FORMAT`, `OHNE_ANSPRUCH_AND_KVT_NOT_ALLOWED`, `KVT_INVALID`, `OHNE_ANSPRUCH_INVALID`

    - #### searchBkfKonsultationData

          SearchBkfKonsultationDataErgebnis searchBkfKonsultationData(String dialogId,
                                                                      String cardToken,
                                                                      String svnr,
                                                                      String dokumentationstyp)
                                                               throws DialogException,
                                                                      AccessException,
                                                                      ServiceException,
                                                                      BkfException,
                                                                      BkfInvalidParameterException

      Mit dieser Funktion wird die angegebene Patientin geprüft und die Patientendaten, sowie die verfügbaren Konsultationen in Abhängigkeit des angegebenen Dokumentationstyp vom e-card-Server geholt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `Berechtigungen.BKF_CORE` und `Berechtigungen.BKF_MAMMO` bzw. `Berechtigungen.BKF_ASSESSMENT` bzw. `Berechtigungen.BKF_WMU`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svnr` - SV-Nummer der Patientin.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `dokumentationstyp` - Dokumentationstyp (siehe `DokumentationTypConstant`).
        Es sind nur die Dokumentationstypen "SCR", "SUS", "KUM", "KUS" (benötigen das Recht BKF.MAMMO), "WEM", "WUM" (benötigen das Recht BKF.WMU) und "ABD" (benötigt das Recht BKF.ASSESSMENT) zulässig.
      Returns:
        (siehe `SearchBkfKonsultationDataErgebnis`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_KSEABFRAGE`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KONSULTATION_EINLADUNG_NOT_FOUND`, `INTERNAL_ERROR`, `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND`, `SV_NUMMER_EINLADUNG_NOT_FOUND`, `VPNR_KONS_EINLADUNG_NOT_AVAILABLE`, `VPNR_SCR_EINLADUNG_NOT_AVAILABLE`, `NO_KONSULTATION_FOUND`, `TOKEN_ALREADY_BONDED_TO_OTHER_DOKUTYP` `at.chipkarte.client.bkf.soap.constants.BkfExceptionConstants#DOKUTYPE_NOT_SUPPORTED_ANYMORE`
        `BkfInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `DOKUMENTATIONSTYP_REQUIRED`, `DOKUMENTATIONSTYP_INVALID`, `DOKUMENTATIONSTYP_INVALID2`

    - #### checkBkfToken

          CheckBkfTokenErgebnis checkBkfToken(String dialogId,
                                              String cardToken,
                                              String svnr,
                                              Long konsultationsID,
                                              String leistungsdatum,
                                              String dokumentationstyp)
                                       throws DialogException,
                                              AccessException,
                                              ServiceException,
                                              BkfException,
                                              BkfInvalidParameterException

      Mit dieser Funktion erfolgt eine Prüfung ob für die betreffende Patientin eine Einladung ermittelt werden kann und somit eine Screening-Dokumentation oder Screening Ultraschalldokumentation erfasst werden kann.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svnr` - SV-Nummer der Patientin.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `konsultationsID` - ID einer Konsultation.
        Es muss entweder die KonsultationsID oder das Leistungsdatum angegeben werden.
        `leistungsdatum` - Leistungsdatum.
        Es muss entweder die KonsultationsID oder das Leistungsdatum angegeben werden.
        `dokumentationstyp` - Dokumentationstyp (siehe `DokumentationTypConstant`).
        Es sind nur die Dokumentationstypen "SCR" und "SUS" zulässig.
      Returns:
        (siehe `CheckBkfTokenErgebnis`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_MAMMO`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KONSULTATION_EINLADUNG_NOT_FOUND`, `INTERNAL_ERROR`, `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND`, `SV_NUMMER_EINLADUNG_NOT_FOUND`, `VPNR_KONS_EINLADUNG_NOT_AVAILABLE`, `VPNR_SCR_EINLADUNG_NOT_AVAILABLE`, `TOKEN_NOT_AVAILABLE_AND_BONDED_TO_OTHER_DOKUTYP`, `TOKEN_NOT_AVAILABLE_AND_TIME_EXPIRED` `at.chipkarte.client.bkf.soap.constants.BkfExceptionConstants#DOKUTYPE_NOT_SUPPORTED_ANYMORE`
        `BkfInvalidParameterException` - `SV_NUMMER_INVALID`, `SVNR_MISSING_NO_ECARD`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `KONSULTATION_INVALID`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`

    - #### searchBkfArzt

          BKFArzt searchBkfArzt(String dialogId,
                                String arztID)
                         throws DialogException,
                                AccessException,
                                ServiceException,
                                BkfException,
                                BkfInvalidParameterException

      Mit dieser Funktion werden die Daten eines mittels ID spezifizierten, zertifizierten Arztes ermittelt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO` bzw. `BKF_SZE` bzw. `BKF_WMU`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - DialogID eines gültigen Dialogs.
        `arztID` - Gültige ArztID.
      Returns:
        (siehe `BKFArzt`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_ARZTABFRAGE`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `INTERNAL_ERROR`
        `BkfInvalidParameterException` - `NO_PARTICIPANT_FOUND`, `ARZTID_WRONG_FORMAT`, `ARZTID_REQUIRED`

    - #### createScreeningDoku

          BKFQuittung createScreeningDoku(String dialogId,
                                          String cardToken,
                                          ScreeningDoku screening)
                                   throws DialogException,
                                          AccessException,
                                          ServiceException,
                                          BkfException,
                                          BkfInvalidParameterException,
                                          BkfEncryptionException

      Mit dieser Funktion wird die Screening-Dokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `screening` - Die Daten der Screening-Dokumentation (`ScreeningDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_MAMMO`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KONSULTATION_EINLADUNG_NOT_FOUND`, `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND`, `SV_NUMMER_EINLADUNG_NOT_FOUND`, `VPNR_KONS_EINLADUNG_NOT_AVAILABLE`, `VPNR_SCR_EINLADUNG_NOT_AVAILABLE`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `EINLADUNG_STATUS_CHANGED`, `INTERNAL_ERROR`, `NO_KONSULTATION_FOUND`, `TOKENID_NOT_VALID`, `KONSULTATION_TOKENID_MISMATCH`
        `BkfInvalidParameterException` - `SCREENING_REQUIRED`, `SCR_MAMMO_ERSTBEFUNDER_REQUIRED`, `SCR_MAMMO_ZWEITBEFUNDER_REQUIRED`, `SCR_ENDERGEBNIS_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `SCR_IDENTIFIKATION_ERSTBEFUNDER_REQUIRED`, `SCR_IDENTIFIKATION_ERSTBEFUNDER_WRONG_FORMAT`, `SCR_IDENTIFIKATION_ERSTBEFUNDER_INVALID`, `SCR_IDENTIFIKATION_ERSTBEFUNDER_INVALID2`, `SCR_IDENTIFIKATION_ERSTBEFUNDER_NOT_FOUND`, `SCR_DATUM_BEFUNDUNG_ERSTBEFUNDER_REQUIRED`, `SCR_DATUM_BEFUNDUNG_ERSTBEFUNDER_WRONG_FORMAT`, `SCR_DATUM_BEFUNDUNG_ERSTBEFUNDER_INVALID`, `SCR_DICHTE_ERSTBEFUNDER_REQUIRED`, `SCR_DICHTE_ERSTBEFUNDER_INVALID`, `SCR_ERGEBNIS_ERSTBEFUNDER_REQUIRED`, `SCR_ERGEBNIS_ERSTBEFUNDER_INVALID`, `SCR_DATUM_BEFUNDUNG_ULTRASCHALL_REQUIRED`, `SCR_DATUM_BEFUNDUNG_ULTRASCHALL_WRONG_FORMAT`, `SCR_DATUM_BEFUNDUNG_ULTRASCHALL_INVALID`, `SCR_GRUND_REQUIRED`, `SCR_GRUND_INVALID`, `SCR_GRUND_INVALID2`, `SCR_GRUND_INVALID3`, `SCR_GRUND_INVALID4`, `SCR_GRUND_INVALID5`, `SCR_ERGEBNIS_ULTRASCHALL_REQUIRED`, `SCR_ERGEBNIS_ULTRASCHALL_INVALID`, `SCR_IDENTIFIKATION_ZWEITBEFUNDER_REQUIRED`, `SCR_IDENTIFIKATION_ZWEITBEFUNDER_WRONG_FORMAT`, `SCR_IDENTIFIKATION_ZWEITBEFUNDER_NOT_FOUND`, `SCR_DATUM_BEFUNDUNG_ZWEITBEFUNDER_REQUIRED`, `SCR_DATUM_BEFUNDUNG_ZWEITBEFUNDER_WRONG_FORMAT`, `SCR_DATUM_BEFUNDUNG_ZWEITBEFUNDER_INVALID`, `SCR_DICHTE_ZWEITBEFUNDER_REQUIRED`, `SCR_DICHTE_ZWEITBEFUNDER_INVALID`, `SCR_ERGEBNIS_ZWEITBEFUNDER_REQUIRED`, `SCR_ERGEBNIS_ZWEITBEFUNDER_INVALID`, `SCR_MED_ZUSATZAUFNAHME_REQUIRED`, `SCR_MED_ZUSATZAUFNAHME_INVALID`, `SCR_INAKZEPTABEL_REQUIRED`, `SCR_INAKZEPTABEL_INVALID`, `SCR_TECH_ZUSATZAUFNAHME_REQUIRED`, `SCR_TECH_ZUSATZAUFNAHME_INVALID`, `SCR_DOPPELBEFUNDUNG_REQUIRED`, `SCR_DOPPELBEFUNDUNG_INVALID`, `SCR_ERGEBNIS_ENDERGEBNIS_REQUIRED`, `SCR_ERGEBNIS_ENDERGEBNIS_INVALID`, `SCR_DICHTE_ENDERGEBNIS_REQUIRED`, `SCR_DICHTE_ENDERGEBNIS_INVALID`, `SCR_GROESSE_LINKS_REQUIRED`, `SCR_GROESSE_LINKS_INVALID`, `SCR_GROESSE_LINKS_INVALID2`, `SCR_GROESSE_RECHTS_INVALID`, `SCR_GROESSE_RECHTS_INVALID2`, `SCR_VORGEHEN_REQUIRED`, `SCR_VORGEHEN_INVALID`, `SCR_VORGEHEN_INVALID2`, `SCR_DATUM_BEFUNDUNG_ENDERGEBNIS_REQUIRED`, `SCR_DATUM_BEFUNDUNG_ENDERGEBNIS_WRONG_FORMAT`, `SCR_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID`, `SCR_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID2`, `SCR_INFO_PATIENT_REQUIRED`, `SCR_INFO_PATIENT_WRONG_FORMAT`, `SCR_INFO_PATIENT_INVALID`, `SCR_PATIENT_ID_WRONG_FORMAT`, `SCR_WIEDERBESTELLUNG_REQUIRED`, `SCR_WIEDERBESTELLUNG_INVALID`, `TOKENID_REQUIRED`, `TOKENID_INVALID`, `SCR_ARTUNTERSUCHUNG_REQUIRED`, `SCR_ARTUNTERSUCHUNG_INVALID`, `SCR_ARTUNTERSUCHUNG_INVALID2`, `SCR_ARTUNTERSUCHUNG_INVALID3`, `SCR_TOMOSYNTHESE_INVALID`, `SCR_TOMOSYNTHESE_REQUIRED`, `SCR_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `SCR_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createKurativeMammographieDoku

          BKFQuittung createKurativeMammographieDoku(String dialogId,
                                                     String cardToken,
                                                     KurativeMammographieDoku kum)
                                              throws DialogException,
                                                     AccessException,
                                                     ServiceException,
                                                     BkfException,
                                                     BkfInvalidParameterException,
                                                     BkfEncryptionException

      Mit dieser Funktion wird die kurative Mammographiedokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `kum` - Die Daten der kurative Mammographiedokumentation (`KurativeMammographieDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_MAMMO`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `NO_KONSULTATION_FOUND`, `KONSULTATION_NOT_VALID`, `LEISTUNGSDATUM_NOT_VALID`
        `BkfInvalidParameterException` -
        `KURATIV_MAMMO_REQUIRED`, `KUM_MAMMO_ERSTBEFUNDER_REQUIRED`, `KUM_ENDERGEBNIS_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `KUM_IDENTIFIKATION_ERSTBEFUNDER_REQUIRED`, `KUM_IDENTIFIKATION_ERSTBEFUNDER_WRONG_FORMAT`, `KUM_IDENTIFIKATION_ERSTBEFUNDER_NOT_FOUND`, `KUM_IDENTIFIKATION_ERSTBEFUNDER_INVALID`, `KUM_DATUM_BEFUNDUNG_ERSTBEFUNDER_REQUIRED`, `KUM_DATUM_BEFUNDUNG_ERSTBEFUNDER_WRONG_FORMAT`, `KUM_DATUM_BEFUNDUNG_ERSTBEFUNDER_INVALID`, `KUM_DICHTE_ERSTBEFUNDER_REQUIRED`, `KUM_DICHTE_ERSTBEFUNDER_INVALID`, `KUM_ERGEBNIS_ERSTBEFUNDER_REQUIRED`, `KUM_ERGEBNIS_ERSTBEFUNDER_INVALID`, `KUM_DATUM_BEFUNDUNG_ULTRASCHALL_REQUIRED`, `KUM_DATUM_BEFUNDUNG_ULTRASCHALL_WRONG_FORMAT`, `KUM_DATUM_BEFUNDUNG_ULTRASCHALL_INVALID`, `KUM_GRUND_REQUIRED`, `KUM_GRUND_INVALID`, `KUM_GRUND_INVALID2`, `KUM_GRUND_INVALID3`, `KUM_GRUND_INVALID4`, `KUM_GRUND_INVALID5`, `KUM_ERGEBNIS_ULTRASCHALL_REQUIRED`, `KUM_ERGEBNIS_ULTRASCHALL_INVALID`, `KUM_IDENTIFIKATION_ZWEITBEFUNDER_REQUIRED`, `KUM_IDENTIFIKATION_ZWEITBEFUNDER_WRONG_FORMAT`, `KUM_IDENTIFIKATION_ZWEITBEFUNDER_NOT_FOUND`, `KUM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_REQUIRED`, `KUM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_WRONG_FORMAT`, `KUM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_INVALID`, `KUM_DICHTE_ZWEITBEFUNDER_REQUIRED`, `KUM_DICHTE_ZWEITBEFUNDER_INVALID`, `KUM_ERGEBNIS_ZWEITBEFUNDER_REQUIRED`, `KUM_ERGEBNIS_ZWEITBEFUNDER_INVALID`, `KUM_MED_ZUSATZAUFNAHME_REQUIRED`, `KUM_MED_ZUSATZAUFNAHME_INVALID`, `KUM_INAKZEPTABEL_REQUIRED`, `KUM_INAKZEPTABEL_INVALID`, `KUM_TECH_ZUSATZAUFNAHME_REQUIRED`, `KUM_TECH_ZUSATZAUFNAHME_INVALID`, `KUM_ERGEBNIS_ENDERGEBNIS_REQUIRED`, `KUM_ERGEBNIS_ENDERGEBNIS_INVALID`, `KUM_DICHTE_ENDERGEBNIS_REQUIRED`, `KUM_DICHTE_ENDERGEBNIS_INVALID`, `KUM_GROESSE_LINKS_REQUIRED`, `KUM_GROESSE_LINKS_INVALID`, `KUM_GROESSE_LINKS_INVALID2`, `KUM_GROESSE_RECHTS_INVALID`, `KUM_GROESSE_RECHTS_INVALID2`, `KUM_DATUM_BEFUNDUNG_ENDERGEBNIS_REQUIRED`, `KUM_DATUM_BEFUNDUNG_ENDERGEBNIS_WRONG_FORMAT`, `KUM_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID`, `KUM_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID2`, `KUM_INFO_PATIENT_REQUIRED`, `KUM_INFO_PATIENT_WRONG_FORMAT`, `KUM_INFO_PATIENT_INVALID`, `KUM_PATIENT_ID_WRONG_FORMAT`, `KUM_WIEDERBESTELLUNG_REQUIRED`, `KUM_WIEDERBESTELLUNG_INVALID`, `KUM_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `KUM_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`, `KUM_TOMOSYNTHESE_REQUIRED`, `KUM_TOMOSYNTHESE_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createAssessmentBildgebendeDiagnostikDoku

          BKFQuittung createAssessmentBildgebendeDiagnostikDoku(String dialogId,
                                                                String cardToken,
                                                                AssessmentBildgebendeDiagnostikDoku abd)
                                                         throws DialogException,
                                                                AccessException,
                                                                ServiceException,
                                                                BkfException,
                                                                BkfInvalidParameterException,
                                                                BkfEncryptionException

      Mit dieser Funktion wird die Assessmentdokumentation Bildgebende Diagnostik validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_ASSESSMENT`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `abd` - Die Daten der Assessmentdokumentation Bildgebende Diagnostik (`AssessmentBildgebendeDiagnostikDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_ASSESSMENT`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - * `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `NO_KONSULTATION_FOUND`, `KONSULTATION_NOT_VALID`, `LEISTUNGSDATUM_NOT_VALID` *
        `BkfInvalidParameterException` - `ASSESSMENT_BILDGEBEND_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `ABD_ERGEBNIS_KLINISCH_INVALID`, `ABD_MAMMO_DURCHGEFUEHRT_REQUIRED`, `ABD_MAMMO_DURCHGEFUEHRT_INVALID`, `ABD_ZUSATZAUFNAHME_REQUIRED`, `ABD_ZUSATZAUFNAHME_INVALID`, `ABD_ERGBNIS_MAMMO_REQUIRED`, `ABD_ERGEBNIS_MAMMO_INVALID`, `ABD_ERGEBNIS_US_INVALID`, `ABD_ERGEBNIS_MRT_INVALID`, `ABD_GESAMTERGEBNIS_REQUIRED`, `ABD_GESAMTERGEBNIS_INVALID`, `ABD_INFO_PATIENT_REQUIRED`, `ABD_INFO_PATIENT_WRONG_FORMAT`, `ABD_INFO_PATIENT_INVALID`, `ABD_SEITE_REQUIRED`, `ABD_SEITE_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createAssessmentInvasiveDiagnostikDoku

          BKFQuittung createAssessmentInvasiveDiagnostikDoku(String dialogId,
                                                             String cardToken,
                                                             AssessmentInvasiveDiagnostikDoku aid)
                                                      throws DialogException,
                                                             AccessException,
                                                             ServiceException,
                                                             BkfException,
                                                             BkfInvalidParameterException,
                                                             BkfEncryptionException

      Mit dieser Funktion wird die Assessmentdokumentation Invasive Diagnostik validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_ASSESSMENT`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `aid` - Die Daten der Assessmentdokumentation Invasive Diagnostik (`AssessmentInvasiveDiagnostikDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_ASSESSMENT`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`
        `BkfInvalidParameterException` - `ASSESSMENT_INVASIV_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `AID_LEISTUNGSANFANG_REQUIRED`, `AID_LEISTUNGSANFANG_WRONG_FORMAT`, `AID_LEISTUNGSANFANG_INVALID`, `AID_SEITE_REQUIRED`, `AID_SEITE_INVALID`, `AID_INFO_PATIENT_REQUIRED`, `AID_INFO_PATIENT_WRONG_FORMAT`, `AID_INFO_PATIENT_INVALID`, `AID_ERGEBNIS_HISTOLOGIE_REQUIRED`, `AID_ERGEBNIS_HISTOLOGIE_INVALID`, `AID_ANZAHL_REQUIRED`, `AID_ANZAHL_OFFEN_KONTRA_METHODE_WRONG_FORMAT`, `AID_ANZAHL_OFFEN_KONTRA_METHODE_INVALID`, `AID_ANZAHL_OFFEN_METHODE_WRONG_FORMAT`, `AID_ANZAHL_OFFEN_METHODE_INVALID`, `AID_ANZAHL_STANZ_METHODE_WRONG_FORMAT`, `AID_ANZAHL_STANZ_METHODE_INVALID`, `AID_VAKUUM_METHODE_WRONG_FORMAT`, `AID_VAKUUM_METHODE_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createKurativeMammoLeermeldungDoku

          BKFQuittung createKurativeMammoLeermeldungDoku(String dialogId,
                                                         KurativeMammoLeermeldung kml)
                                                  throws DialogException,
                                                         AccessException,
                                                         ServiceException,
                                                         BkfException,
                                                         BkfInvalidParameterException,
                                                         BkfEncryptionException

      Mit dieser Funktion wird die Dokumentation für die kurative Mammographie Leermeldung validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `kml` - Die Daten der Dokumentation zur Kurative Mammographie Leermeldung (`KurativeMammoLeermeldung`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_MAMMO`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `KEYS_NOT_FOUND`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `LEISTUNGSDATUM_NOT_VALID`
        `BkfInvalidParameterException` - `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `LEISTUNGSDATUM_REQUIRED`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KURATIVE_MAMMOGRAPHIE_LEERMELDUNG_REQUIRED`, `KML_IDENTIFIKATION_ERSTBEFUNDER_REQUIRED`, `KML_IDENTIFIKATION_ERSTBEFUNDER_WRONG_FORMAT`, `KML_IDENTIFIKATION_ERSTBEFUNDER_NOT_FOUND`, `KML_IDENTIFIKATION_ZWEITBEFUNDER_WRONG_FORMAT`, `KML_IDENTIFIKATION_ZWEITBEFUNDER_NOT_FOUND` , `KML_IDENTIFIKATION_ERSTBEFUNDER_AND_IDENTIFIKATION_ZWEITBEFUNDER_IDENT`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createScreeningUltraschallDoku

          BKFQuittung createScreeningUltraschallDoku(String dialogId,
                                                     String cardToken,
                                                     ScreeningUltraschallDoku sus)
                                              throws DialogException,
                                                     AccessException,
                                                     ServiceException,
                                                     BkfException,
                                                     BkfInvalidParameterException,
                                                     BkfEncryptionException

      Mit dieser Funktion wird die Screening Ultraschalldokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `sus` - Die Daten der Screening Ultraschalldokumentation (`ScreeningUltraschallDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_MAMMO`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KONSULTATION_EINLADUNG_NOT_FOUND`, `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND`, `SV_NUMMER_EINLADUNG_NOT_FOUND`, `VPNR_KONS_EINLADUNG_NOT_AVAILABLE`, `VPNR_SCR_EINLADUNG_NOT_AVAILABLE`, `TOKEN_ALREADY_BONDED_TO_OTHER_DOKUTYP`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `EINLADUNG_STATUS_CHANGED`, `INTERNAL_ERROR`, `NO_KONSULTATION_FOUND`, `TOKENID_NOT_VALID`, `KONSULTATION_TOKENID_MISMATCH`
        `BkfInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `SCREENING_ULTRASCHALL_REQUIRED`, `SUS_DATUM_BEFUNDUNG_REQUIRED`, `SUS_DATUM_BEFUNDUNG_WRONG_FORMAT`, `SUS_DATUM_BEFUNDUNG_INVALID`, `SUS_ERGEBNIS_ULTRASCHALL_REQUIRED` , `SUS_ERGEBNIS_ULTRASCHALL_INVALID` , `SUS_GROESSE_LINKS_REQUIRED`, `SUS_GROESSE_LINKS_INVALID`, `SUS_GROESSE_LINKS_INVALID2`, `SUS_GROESSE_RECHTS_INVALID`, `SUS_GROESSE_RECHTS_INVALID2`, `SUS_VORGEHEN_REQUIRED`, `SUS_VORGEHEN_INVALID`, `SUS_VORGEHEN_INVALID2`, `SUS_INFO_DATUM_REQUIRED`, `SUS_INFO_DATUM_WRONG_FORMAT`, `SUS_INFO_DATUM_INVALID`, `SUS_PATIENT_ID_WRONG_FORMAT`, `SUS_IDENTIFIKATION_BEFUNDER_REQUIRED`, `SUS_IDENTIFIKATION_BEFUNDER_WRONG_FORMAT`, `SUS_IDENTIFIKATION_BEFUNDER_INVALID`, `TOKENID_REQUIRED`, `TOKENID_INVALID`, `SUS_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `SUS_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createKurativeUltraschallDoku

          BKFQuittung createKurativeUltraschallDoku(String dialogId,
                                                    String cardToken,
                                                    KurativeUltraschallDoku kus)
                                             throws DialogException,
                                                    AccessException,
                                                    ServiceException,
                                                    BkfException,
                                                    BkfInvalidParameterException,
                                                    BkfEncryptionException

      Mit dieser Funktion wird die kurative Ultraschalldokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_MAMMO`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `kus` - Die Daten der kurative Ultraschalldokumentation (`KurativeUltraschallDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_MAMMO`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `KONSULTATION_NOT_VALID`, `LEISTUNGSDATUM_NOT_VALID`
        `BkfInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `KURATIVER_ULTRASCHALL_REQUIRED`, `KUS_DATUM_BEFUNDUNG_REQUIRED`, `KUS_DATUM_BEFUNDUNG_WRONG_FORMAT`, `KUS_DATUM_BEFUNDUNG_INVALID`, `KUS_ERGEBNIS_ULTRASCHALL_REQUIRED` , `KUS_ERGEBNIS_ULTRASCHALL_INVALID` , `KUS_GROESSE_LINKS_REQUIRED`, `KUS_GROESSE_LINKS_INVALID`, `KUS_GROESSE_LINKS_INVALID2`, `KUS_GROESSE_RECHTS_INVALID`, `KUS_GROESSE_RECHTS_INVALID2`, `KUS_INFO_DATUM_REQUIRED`, `KUS_INFO_DATUM_WRONG_FORMAT`, `KUS_INFO_DATUM_INVALID`, `KUS_PATIENT_ID_WRONG_FORMAT`, `KUS_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `KUS_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createTherapiePathologieDoku

          BKFQuittung createTherapiePathologieDoku(String dialogId,
                                                   String cardToken,
                                                   TherapiePathologieDoku pat)
                                            throws DialogException,
                                                   AccessException,
                                                   ServiceException,
                                                   BkfException,
                                                   BkfInvalidParameterException,
                                                   BkfEncryptionException

      Mit dieser Funktion wird die Therapiedokumentation Pathologie validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_ASSESSMENT`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `pat` - Die Daten der Therapiedokumentation Pathologie (`TherapiePathologieDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_ASSESSMENT`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KONSULTATION_EINLADUNG_NOT_FOUND`, `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND`, `SV_NUMMER_EINLADUNG_NOT_FOUND`, `VPNR_KONS_EINLADUNG_NOT_AVAILABLE`, `VPNR_SCR_EINLADUNG_NOT_AVAILABLE`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `EINLADUNG_STATUS_CHANGED`, `INTERNAL_ERROR`,
        `BkfInvalidParameterException` - `THERAPIE_PATHOLOGIE_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `PAT_SEITE_REQUIRED`, `PAT_SEITE_INVALID`, `PAT_HISTOLOGISCHE_PATHOLOGIE_DIAGNOSE_REQUIRED`, `PAT_HISTOLOGISCHE_PATHOLOGIE_DIAGNOSE_REQUIRED`, `PAT_OESTROGEN_INVALID`, `PAT_OESTROGEN_INVALID2`, `PAT_OESTROGEN_WRONG_FORMAT`, `PAT_PROGESTERON_INVALID`, `PAT_PROGESTERON_INVALID2`, `PAT_PROGESTERON_WRONG_FORMAT`, `PAT_LYMPHGEFAESSEINBRUCH_INVALID`, `PAT_LYMPHGEFAESSEINBRUCH_REQUIRED`, `PAT_BLUTGEFAESSEINBRUCH_INVALID`, `PAT_BLUTGEFAESSEINBRUCH_REQUIRED`, `PAT_TUMORGRADING_INVALID`, `PAT_TUMORGRADING_REQUIRED`, `PAT_ABSTAND_RESEKTIONSRAND_INVALID`, `PAT_ABSTAND_RESEKTIONSRAND_WRONG_FORMAT`, `PAT_PT_KATEGORIE_REQUIRED`, `PAT_PT_KATEGORIE_INVALID` `PAT_Y_PRAEFIX_REQUIRED`, `PAT_Y_PRAEFIX_INVALID` `PAT_R_PRAEFIX_REQUIRED`, `PAT_R_PRAEFIX_INVALID` `PAT_PN_KATEGORIE_REQUIRED`, `PAT_PN_KATEGORIE_INVALID` `PAT_M_SUFFIX_REQUIRED`, `PAT_M_SUFFIX_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createTherapieTumorDoku

          BKFQuittung createTherapieTumorDoku(String dialogId,
                                              String cardToken,
                                              TherapieTumorDoku tum)
                                       throws DialogException,
                                              AccessException,
                                              ServiceException,
                                              BkfException,
                                              BkfInvalidParameterException,
                                              BkfEncryptionException

      Mit dieser Funktion wird die Therapiedokumentation Tumor validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_ASSESSMENT`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `tum` - Die Daten der Therapiedokumentation Tumordokumentation (`TherapieTumorDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_ASSESSMENT`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KONSULTATION_EINLADUNG_NOT_FOUND`, `LEISTUNGSDATUM_EINLADUNG_NOT_FOUND`, `SV_NUMMER_EINLADUNG_NOT_FOUND`, `VPNR_KONS_EINLADUNG_NOT_AVAILABLE`, `VPNR_SCR_EINLADUNG_NOT_AVAILABLE`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `EINLADUNG_STATUS_CHANGED`, `INTERNAL_ERROR`,
        `BkfInvalidParameterException` - `THERAPIE_TUMOR_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `TUM_OPERATIONSDATUM_WRONG_FORMAT`, `TUM_OPERATIONSDATUM_REQUIRED`, `TUM_OPERATIONSDATUM_INVALID`, `TUM_SEITE_REQUIRED`, `TUM_SEITE_INVALID`, `TUM_NEOADJUVANTE_THERAPIE_REQUIRED`, `TUM_NEOADJUVANTE_THERAPIE_INVALID`, `TUM_DATUM_TUMORBOARD_REQUIRED`, `TUM_DATUM_TUMORBOARD_WRONG_FORMAT`, `TUM_DATUM_TUMORBOARD_INVALID`, `TUM_DATUM_TUMORBOARD_INVALID2`, `TUM_CT_KATEGORIE_REQUIRED`, `TUM_CT_KATEGORIE_INVALID`, `TUM_CN_KATEGORIE_REQUIRED`, `TUM_CN_KATEGORIE_INVALID`, `TUM_CM_KATEGORIE_REQUIRED`, `TUM_CM_KATEGORIE_INVALID`, `TUM_HORMONREZEPTOR_STATUS_REQUIRED`, `TUM_HORMONREZEPTOR_STATUS_INVALID`, `TUM_HER2_STATUS_REQUIRED`, `TUM_HER2_STATUS_INVALID`, `TUM_DATUM_NEOADJUVANTE_THERAPIE_REQUIRED`, `TUM_DATUM_NEOADJUVANTE_THERAPIE_WRONG_FORMAT`, `TUM_DATUM_NEOADJUVANTE_THERAPIE_INVALID`, `TUM_DATUM_NEOADJUVANTE_THERAPIE_INVALID_2`, `TUM_DATUM_NEOADJUVANTE_THERAPIE_REQUIRED`, `TUM_DATUM_PALLIATIVE_THERAPIE_WRONG_FORMAT`, `TUM_DATUM_PALLIATIVE_THERAPIE_INVALID`, `TUM_DATUM_PALLIATIVE_THERAPIE_INVALID2`, `TUM_PALLIATIVE_THERAPIE_REQUIRED`, `TUM_PALLIATIVE_THERAPIE_INVALID` `TUM_OBSERVANZ_REQUIRED`, `TUM_OBSERVANZ_INVALID` `TUM_OPERATIVE_THERAPIE_REQUIRED`, `TUM_OPERATIVE_THERAPIE_INVALID`, `TUM_NO_VALID_DATUM`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createSelbstzahlerMammographieDoku

          BKFQuittung createSelbstzahlerMammographieDoku(String dialogId,
                                                         String cardToken,
                                                         SelbstzahlerMammographieDoku szm)
                                                  throws DialogException,
                                                         AccessException,
                                                         ServiceException,
                                                         BkfException,
                                                         BkfInvalidParameterException,
                                                         BkfEncryptionException

      Mit dieser Funktion wird die Selbstzahler Mammographie Dokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_SZE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `szm` - Die Daten der Selbstzahler Mammographie Dokumentation (`SelbstzahlerMammographieDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_SZE`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `LEISTUNGSDATUM_NOT_VALID`
        `BkfInvalidParameterException` -
        `SELBSTZAHLER_MAMMO_REQUIRED`, `SELBSTZAHLER_MAMMO_ERSTBEFUNDER_REQUIRED`, `SELBSTZAHLER_ENDERGEBNIS_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, * `DOKUERFASSUNG_REQUIRES_ZUSTIMMUNG`, `SZM_IDENTIFIKATION_ERSTBEFUNDER_REQUIRED`, `SZM_IDENTIFIKATION_ERSTBEFUNDER_WRONG_FORMAT`, `SZM_IDENTIFIKATION_ERSTBEFUNDER_NOT_FOUND`, `SZM_IDENTIFIKATION_ERSTBEFUNDER_INVALID`, `SZM_DATUM_BEFUNDUNG_ERSTBEFUNDER_REQUIRED`, `SZM_DATUM_BEFUNDUNG_ERSTBEFUNDER_WRONG_FORMAT`, `SZM_DATUM_BEFUNDUNG_ERSTBEFUNDER_INVALID`, `SZM_DICHTE_ERSTBEFUNDER_REQUIRED`, `SZM_DICHTE_ERSTBEFUNDER_INVALID`, `SZM_ERGEBNIS_ERSTBEFUNDER_REQUIRED`, `SZM_ERGEBNIS_ERSTBEFUNDER_INVALID`, `SZM_DATUM_BEFUNDUNG_ULTRASCHALL_REQUIRED`, `SZM_DATUM_BEFUNDUNG_ULTRASCHALL_WRONG_FORMAT`, `SZM_DATUM_BEFUNDUNG_ULTRASCHALL_INVALID`, `SZM_GRUND_REQUIRED`, `SZM_GRUND_INVALID`, `SZM_GRUND_INVALID2`, `SZM_GRUND_INVALID3`, `SZM_GRUND_INVALID4`, `SZM_GRUND_INVALID5`, `SZM_ERGEBNIS_ULTRASCHALL_REQUIRED`, `SZM_ERGEBNIS_ULTRASCHALL_INVALID`, `SZM_IDENTIFIKATION_ZWEITBEFUNDER_REQUIRED`, `SZM_IDENTIFIKATION_ZWEITBEFUNDER_WRONG_FORMAT`, `SZM_IDENTIFIKATION_ZWEITBEFUNDER_NOT_FOUND`, `SZM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_REQUIRED`, `SZM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_WRONG_FORMAT`, `SZM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_INVALID`, `SZM_DICHTE_ZWEITBEFUNDER_REQUIRED`, `SZM_DICHTE_ZWEITBEFUNDER_INVALID`, `SZM_ERGEBNIS_ZWEITBEFUNDER_REQUIRED`, `SZM_ERGEBNIS_ZWEITBEFUNDER_INVALID`, `SZM_MED_ZUSATZAUFNAHME_REQUIRED`, `SZM_MED_ZUSATZAUFNAHME_INVALID`, `SZM_INAKZEPTABEL_REQUIRED`, `SZM_INAKZEPTABEL_INVALID`, `SZM_TECH_ZUSATZAUFNAHME_REQUIRED`, `SZM_TECH_ZUSATZAUFNAHME_INVALID`, `SZM_ERGEBNIS_ENDERGEBNIS_REQUIRED`, `SZM_ERGEBNIS_ENDERGEBNIS_INVALID`, `SZM_DICHTE_ENDERGEBNIS_REQUIRED`, `SZM_DICHTE_ENDERGEBNIS_INVALID`, `SZM_GROESSE_LINKS_REQUIRED`, `SZM_GROESSE_LINKS_INVALID`, `SZM_GROESSE_LINKS_INVALID2`, `SZM_GROESSE_RECHTS_INVALID`, `SZM_GROESSE_RECHTS_INVALID2`, `SZM_DATUM_BEFUNDUNG_ENDERGEBNIS_REQUIRED`, `SZM_DATUM_BEFUNDUNG_ENDERGEBNIS_WRONG_FORMAT`, `SZM_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID`, `SZM_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID2`, `SZM_INFO_PATIENT_REQUIRED`, `SZM_INFO_PATIENT_WRONG_FORMAT`, `SZM_INFO_PATIENT_INVALID`, `SZM_PATIENT_ID_WRONG_FORMAT`, `SZM_WIEDERBESTELLUNG_REQUIRED`, `SZM_WIEDERBESTELLUNG_INVALID`, `SZM_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `SZM_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`,
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### checkBkfLeistungsanspruch

          BKFLeistungsanspruchInfo checkBkfLeistungsanspruch(String dialogId,
                                                             String cardToken,
                                                             String svnr,
                                                             String patientenzustimmung)
                                                      throws DialogException,
                                                             AccessException,
                                                             ServiceException,
                                                             BkfException,
                                                             BkfInvalidParameterException

      Mit dieser Funktion wird der Leistungsanspruch der angegebenen Patientin (mittels SV-Nummer beziehungsweise gesteckter e-card) geprüft und es werden die Patientendaten, sowie die Informationen des aktuellen BKF-Leistungsanspruchs vom e-card-Server geholt.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_LA_ABFRAGE`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `svnr` - SV-Nummer der Patientin.
        Es muss entweder in eine `svNummer` oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `patientenzustimmung` - Zustimmung des Patienten zur Abfrage (siehe `JaNeinTypConstant`).
      Returns:
        (siehe `BKFLeistungsanspruchInfo`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_LA_ABFRAGE`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `INTERNAL_ERROR`
        `BkfInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `PATIENTENZUSTIMMUNG_REQUIRED`, `PATIENTENZUSTIMMUNG_INVALID`, `LEISTUNGSANSPRUCHABFRAGE_REQUIRES_ZUSTIMMUNG`

    - #### createWeitereMammographieDoku

          BKFQuittung createWeitereMammographieDoku(String dialogId,
                                                    String cardToken,
                                                    WeitereMammographieDoku wem)
                                             throws DialogException,
                                                    AccessException,
                                                    ServiceException,
                                                    BkfException,
                                                    BkfInvalidParameterException,
                                                    BkfEncryptionException

      Mit dieser Funktion wird die Weitere Mammographiedokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_WMU`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `wem` - Die Daten der Weiteren Mammographiedokumentation (`WeitereMammographieDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_WMU`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `NO_KONSULTATION_FOUND`, `KONSULTATION_NOT_VALID`, `LEISTUNGSDATUM_NOT_VALID`
        `BkfInvalidParameterException` -
        `WEITERE_MAMMO_REQUIRED`, `KUM_MAMMO_ERSTBEFUNDER_REQUIRED`, `WEM_ENDERGEBNIS_REQUIRED`, `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `WEM_IDENTIFIKATION_ERSTBEFUNDER_REQUIRED`, `WEM_IDENTIFIKATION_ERSTBEFUNDER_WRONG_FORMAT`, `WEM_IDENTIFIKATION_ERSTBEFUNDER_NOT_FOUND`, `WEM_IDENTIFIKATION_ERSTBEFUNDER_INVALID`, `WEM_DATUM_BEFUNDUNG_ERSTBEFUNDER_REQUIRED`, `WEM_DATUM_BEFUNDUNG_ERSTBEFUNDER_WRONG_FORMAT`, `WEM_DATUM_BEFUNDUNG_ERSTBEFUNDER_INVALID`, `WEM_DICHTE_ERSTBEFUNDER_REQUIRED`, `WEM_DICHTE_ERSTBEFUNDER_INVALID`, `WEM_ERGEBNIS_ERSTBEFUNDER_REQUIRED`, `WEM_ERGEBNIS_ERSTBEFUNDER_INVALID`, `WEM_DATUM_BEFUNDUNG_ULTRASCHALL_REQUIRED`, `WEM_DATUM_BEFUNDUNG_ULTRASCHALL_WRONG_FORMAT`, `WEM_DATUM_BEFUNDUNG_ULTRASCHALL_INVALID`, `WEM_GRUND_REQUIRED`, `WEM_GRUND_INVALID`, `WEM_GRUND_INVALID2`, `WEM_GRUND_INVALID3`, `WEM_GRUND_INVALID4`, `WEM_GRUND_INVALID5`, `WEM_ERGEBNIS_ULTRASCHALL_REQUIRED`, `WEM_ERGEBNIS_ULTRASCHALL_INVALID`, `WEM_IDENTIFIKATION_ZWEITBEFUNDER_REQUIRED`, `WEM_IDENTIFIKATION_ZWEITBEFUNDER_WRONG_FORMAT`, `WEM_IDENTIFIKATION_ZWEITBEFUNDER_NOT_FOUND`, `WEM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_REQUIRED`, `WEM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_WRONG_FORMAT`, `WEM_DATUM_BEFUNDUNG_ZWEITBEFUNDER_INVALID`, `WEM_DICHTE_ZWEITBEFUNDER_REQUIRED`, `WEM_DICHTE_ZWEITBEFUNDER_INVALID`, `WEM_ERGEBNIS_ZWEITBEFUNDER_REQUIRED`, `WEM_ERGEBNIS_ZWEITBEFUNDER_INVALID`, `WEM_MED_ZUSATZAUFNAHME_REQUIRED`, `WEM_MED_ZUSATZAUFNAHME_INVALID`, `WEM_INAKZEPTABEL_REQUIRED`, `WEM_INAKZEPTABEL_INVALID`, `WEM_TECH_ZUSATZAUFNAHME_REQUIRED`, `WEM_TECH_ZUSATZAUFNAHME_INVALID`, `WEM_ERGEBNIS_ENDERGEBNIS_REQUIRED`, `WEM_ERGEBNIS_ENDERGEBNIS_INVALID`, `WEM_DICHTE_ENDERGEBNIS_REQUIRED`, `WEM_DICHTE_ENDERGEBNIS_INVALID`, `WEM_GROESSE_LINKS_REQUIRED`, `WEM_GROESSE_LINKS_INVALID`, `WEM_GROESSE_LINKS_INVALID2`, `WEM_GROESSE_RECHTS_INVALID`, `WEM_GROESSE_RECHTS_INVALID2`, `WEM_DATUM_BEFUNDUNG_ENDERGEBNIS_REQUIRED`, `WEM_DATUM_BEFUNDUNG_ENDERGEBNIS_WRONG_FORMAT`, `WEM_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID`, `WEM_DATUM_BEFUNDUNG_ENDERGEBNIS_INVALID2`, `WEM_INFO_PATIENT_REQUIRED`, `WEM_INFO_PATIENT_WRONG_FORMAT`, `WEM_INFO_PATIENT_INVALID`, `WEM_PATIENT_ID_WRONG_FORMAT`, `WEM_WIEDERBESTELLUNG_REQUIRED`, `WEM_WIEDERBESTELLUNG_INVALID`, `WEM_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `WEM_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`, `WEM_TOMOSYNTHESE_REQUIRED`, `WEM_TOMOSYNTHESE_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`

    - #### createWeitereUltraschallDoku

          BKFQuittung createWeitereUltraschallDoku(String dialogId,
                                                   String cardToken,
                                                   WeitereUltraschallDoku wus)
                                            throws DialogException,
                                                   AccessException,
                                                   ServiceException,
                                                   BkfException,
                                                   BkfInvalidParameterException,
                                                   BkfEncryptionException

      Mit dieser Funktion wird die Weitere Ultraschalldokumentation validiert, verschlüsselt und zum e-card-Server übertragen. Im Erfolgsfall wird eine Quittung (siehe `BKFQuittung`) retourniert.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf BKF (siehe `BKF_CORE` und `BKF_WMU`).

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - Dialog-ID eines gültigen Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken.
        Es muss entweder eine `svNummer` (`svNummer`) oder ein mit e-card erstelltes `cardToken` angegeben werden.
        Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
        `wus` - Die Daten der weiteren Ultraschalldokumentation (`WeitereUltraschallDoku`).
      Returns:
        (siehe `BKFQuittung`)
      Throws:
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `CARD_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_BKF_CORE`, `MISSING_BKF_WMU`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `BkfException` - `SV_NUMMER_INVALID`, `KEYS_NOT_FOUND`, `KONSULTATION_INVALID`, `CREATE_QUITTUNG_FAILED`, `INTERNAL_ERROR`, `KONSULTATION_NOT_VALID`, `LEISTUNGSDATUM_NOT_VALID`
        `BkfInvalidParameterException` - `SVNR_MISSING_NO_ECARD`, `SV_NUMMER_INVALID`, `VERSION_REQUIRED`, `VERSION_INVALID`, `KONSULTATION_OR_LEISTUNGSDATUM_REQUIRED`, `LEISTUNGSDATUM_WRONG_FORMAT`, `LEISTUNGSDATUM_INVALID`, `KONSULTATION_INVALID`, `WEITERER_ULTRASCHALL_REQUIRED`, `WUS_DATUM_BEFUNDUNG_REQUIRED`, `WUS_DATUM_BEFUNDUNG_WRONG_FORMAT`, `WUS_DATUM_BEFUNDUNG_INVALID`, `WUS_ERGEBNIS_ULTRASCHALL_REQUIRED` , `WUS_ERGEBNIS_ULTRASCHALL_INVALID` , `WUS_GROESSE_LINKS_REQUIRED`, `WUS_GROESSE_LINKS_INVALID`, `WUS_GROESSE_LINKS_INVALID2`, `WUS_GROESSE_RECHTS_INVALID`, `WUS_GROESSE_RECHTS_INVALID2`, `WUS_INFO_DATUM_REQUIRED`, `WUS_INFO_DATUM_WRONG_FORMAT`, `WUS_INFO_DATUM_INVALID`, `WUS_PATIENT_ID_WRONG_FORMAT`, `WUS_ZUSTIMMUNG_FEEDBACKBERICHT_REQUIRED`, `WUS_ZUSTIMMUNG_FEEDBACKBERICHT_INVALID`
        `BkfEncryptionException` - `ENCRYPTION_ERROR`